CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000358CEGUIXML parser modulespublic2010-04-28 19:032010-05-24 10:36
Reporterjays 
Assigned ToCrazyEddie 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.1 
Target Version0.7.2Fixed in VersionMercurial: default branch 
Summary0000358: Add support for RapidXML to CEGui
DescriptionAdds support for the RapidXML parser to the project. No additional run time dependencies are added since RapidXML is not a library or dll.
Additional InformationA zip file with the new code is attached. It should be placed in the source tree in this directory: src/XMLParserModules/RapidXMLParser/

You need to include
#define CEGUI_WITH_RAPIDXML 1
in your config.h

The file CEGUISystem.cpp must be changed to include the new code:

//This block includes the proper headers when static linking
#if defined(CEGUI_STATIC)
   // ++djs: changed to include new parser
    #ifdef CEGUI_WITH_RAPIDXML
        #include "XMLParserModules/RapidXMLParser/CEGUIRapidXMLParserModule.h"
    #endif

TagsNo tags attached.
Attached Fileszip file icon CERapid.zip [^] (3,440 bytes) 2010-04-28 19:03

- Relationships

-  Notes
(0000457)
CrazyEddie (administrator)
2010-05-15 15:46

This is rejected in it's current form. Not only is archive is missing the header files and the code does not compile cleanly:

in RapidXMLDocument::processElement you have:
rapidxml::xml_node<>* childNode = element.first_node();
and it should be:
rapidxml::xml_node<>* childNode = element->first_node();

You also use a enum name as scope, whereas enumerations do not introduce scope (surely you get at least a warning about these issues on your compiler?).

While these issues were bad enough, I stuck with it and got it compiling, but then execution fails do to an issue that you yourself have raised on the forum:
http://www.cegui.org.uk/phpBB2/viewtopic.php?f=2&t=4861 [^]

Which I actually find quite amusing ;)
(0000460)
CrazyEddie (administrator)
2010-05-23 17:58

Contributor indicated fix here: http://www.cegui.org.uk/phpBB2/viewtopic.php?p=23022#p23022 [^]

Seems to work ok. Added this in branches/v0-7 r2529 for autotools build. Other build systems to follow, will mark as resolved when done.
(0000461)
CrazyEddie (administrator)
2010-05-24 10:36

RapidXMLParser has been added in branches/v0-7 r2534.

- Issue History
Date Modified Username Field Change
2010-04-28 19:03 jays New Issue
2010-04-28 19:03 jays File Added: CERapid.zip
2010-04-29 13:57 CrazyEddie Status new => assigned
2010-04-29 13:57 CrazyEddie Assigned To => CrazyEddie
2010-05-15 14:28 CrazyEddie Target Version 0.8.3 => 0.7.2
2010-05-15 15:46 CrazyEddie Note Added: 0000457
2010-05-15 15:46 CrazyEddie Status assigned => feedback
2010-05-23 17:58 CrazyEddie Note Added: 0000460
2010-05-24 10:36 CrazyEddie Note Added: 0000461
2010-05-24 10:36 CrazyEddie Status feedback => resolved
2010-05-24 10:36 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-05-24 10:36 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker